#include <iostream.h>
#include <math.h>


class Punto 
{
	public:
		float X;
		float Y;
		Punto();  /* primo costruttore crea un punto nellorigine*/
		Punto(float X1);    /* secondo costruttore crea un punto sullasse delle ascisse*/ 
		Punto(float A, float B);  /* terzo costruttore */   
		int InQualeQuadrante();
		double Distanza(Punto *P); 
		Punto Simmetrico(); 

};  /* fine dichiarazione classe Punto*/



int main() 
{
	float X1, Y1;
	double D=0;
	Punto P0 = Punto( );  /* crea un punto origine degli assi */
	cout  << "X: " ; cin >> X1;
	cout  << "Y: " ; cin >> Y1;
	
	Punto P2 = Punto(X1, Y1);  /* crea un nuovo punto con coordinate X1 e Y1 appena lette*/
	Punto *pP2;
	pP2=&P2;

	D= P0.Distanza(pP2);		/* calcola la distanza con lorigine */
	cout << "Distanza dall'origine: " <<  D;
	return(0);
}  





Punto::Punto()  /* primo costruttore crea un punto nellorigine*/
{  
	X=0;
	Y=0;
}
Punto::Punto(float X1)    /* secondo costruttore crea un punto sullasse delle ascisse*/ 
{
	X=X1;
	Y=0;
}
Punto::Punto(float A, float B)  /* terzo costruttore */   
{
	X=A;
	Y=B;
}
int Punto::InQualeQuadrante() 
{
	if (X > 0 && Y > 0)   	// primo quadrante
		return(1);
	if (X > 0 && Y < 0) 	// quarto quadrante
		return(4);
	if (X < 0 && Y > 0) 	// secondo quadrante
		return(2);
	if (X < 0 && Y < 0) 	// terzo quadrante
		return(3);
	if (X == 0 && Y == 0) 	// origine
		return(0);
	return(5); 			// su di un asse
}

double Punto::Distanza(Punto *P) 
{
	return(sqrt( (X - P->X)*(X - P->X)+ (Y - P->X)*(Y - P->Y) ));
}

Punto Punto::Simmetrico() 
{
	Punto Simm = Punto(-X, -Y);
	return(Simm);
}
  	

